# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name kde_servicemenu_krpm2info
%define summary managing rpm packages
%define version 0.2.0
%define release 0beta3mcnl2009.1

Name: 		%{name} 
Summary:	%{summary} 
Version: 	%{version} 
Release: 	%{release} 
Url:		http://www.kde-apps.org/content/show.php?content=19529
Group:		Graphical desktop/KDE
License:	GPL 

Source0: 	krpm2info-%{version}Beta3.tar.bz2

BuildArch:  	noarch

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 

Requires: kdialog
 
%description  
A service menu (krpm2info-servicemenu.desktop) for Konqueror that works in conjunction 
with a bash script (krpm2info) to allow several actions on package RPM: 
 -Extract: To extract the contents from package RPM in a new dir and to post  
   in a page HTML information of file RPM. 
 -About: : Post in a page HTML information of file RPM. 
 -Research on RpmFind: Seek file RPM on RpmFind. 
 -Research on RedIris: Seek file RPM on RedIris. 
 -Research on pBone: Seek file RPM on pBone. 
 -Go on "%{title}" Home Page 

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n krpm2info-0.2.0Beta3


%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp krpm2info ${RPM_BUILD_ROOT}%{_bindir}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/
cp krpm2info-servicemenu.desktop ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/apps/krpm2info/icons
cp icons/* ${RPM_BUILD_ROOT}%{_datadir}/apps/krpm2info/icons 

%clean  
rm -rf ${RPM_BUILD_ROOT} 
 
%files   
%defattr(0755,root,root)
%attr(755,root,root) %{_bindir}/krpm2info
%{_datadir}/kde4/services/ServiceMenus/krpm2info-servicemenu.desktop
%{_datadir}/apps/krpm2info/icons

%changelog 
* Thu Apr 30 2009 Kristof Bal <kristof.bal@gmail.com> 0.2.0-0beta3mcnl2009.1
- Build for 2009.1

* Tue Dec 2 2008 Marco Meijer <marco@mandrivaclub.nl> 0.2.0-0beta3mcnl2009.0
- KDE4 version
- Mandriva 2009.0 build

* Wed Oct 31 2007 Marco Meijer <marco@mandrivaclub.nl> 0.2.0-0beta2mcnl2008.0
- Mandriva 2008.0 rebuild

* Wed Oct 31 2007 Marco Meijer <marco@mandrivaclub.nl> 0.2.0-0beta2mcnl2008.0
- Mandriva 2008.0 rebuild

* Sat Apr 21 2007 Marco Meijer <marco@mandrivaclub.nl> 0.2.0-0beta2mcnl2007.1
- Mandriva 2007.1 rebuild

* Mon Dec 25 2006 Marco Meijer <marco@mandrivaclub.nl> 0.2.0-0beta2.2007mcnl
- special mandrivaclub.nl build
